org.codehaus.groovy.transform.sc.transformers

## Class VariableExpressionTransformer

- java.lang.Object
- - org.codehaus.groovy.transform.sc.transformers.VariableExpressionTransformer

-     public class VariableExpressionTransformer
      extends Object

  Transformer for VariableExpression the bytecode backend wouldn't be able to handle otherwise.
  Author:
    Jochen "blackdrag" Theodorou

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableExpressionTransformer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expression` | `transformVariableExpression(VariableExpression expr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableExpressionTransformer

          public VariableExpressionTransformer()

  - ### Method Detail

    - #### transformVariableExpression

          public Expression transformVariableExpression(VariableExpression expr)